﻿@model eCommerce.Services.Model.Faq

@{
    ViewBag.Title = "FaqsUpdate";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<style>
    .note-editor.note-frame{
        margin-left:13px;
    }
</style>

<div class="page-header">
    <h1 class="page-title">Preguntas Frecuentes (FAQ's)</h1>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("FaqUpdate", "Institutional", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Pregunta</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="question" value="@Model.Question" />
                            </div>
                        </div>
                        <div class="form-group" style="display:flex;">
                            <label class="col-sm-2 control-label">Respuesta</label>
                            <div class="col-sm-9" id="summernote" name="summernote" data-plugin="summernote">
                                @Html.Raw(Model.Answer)
                            </div>
                            @*<div class="col-sm-9">
                                <textarea class="form-control" name="answer" rows="6" >@Model.Answer</textarea>
                            </div>*@
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Orden</label>
                            <div class="col-sm-2">
                                <input type="text" class="form-control" name="DisplayOrder" value="@Model.DisplayOrder" />
                            </div>
                        </div>
                        <div class="text-right">
                            <input type="text" name="hidHtml" id="hidHtml" style="display:none;" />
                            <input type="submit" id="btnSave" style="display:none;" />
                            <button type="button" class="btn btn-success" onclick="save()"><i class="icon wb-check" aria-hidden="true"></i> Grabar</button>
                            @*<button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>*@
                            <button type="button" class="btn btn-default" onclick="window.location.href = '../Faqs'">Cancelar</button>
                            @Html.HiddenFor(model => model.FaqId)
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    question: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Pregunta es requerido.'
                            }
                        }
                    },
                    answer: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Respuesta es requerido.'
                            }
                        }
                    },
                    DisplayOrder: {
                        validators: {
                            integer: {
                                message: 'El campo es incorrecto.'
                            }
                        }
                    }
                }
            });
        })();

        $('#summernote').summernote({
            //toolbar: [
            //  // [groupName, [list of button]]
            //  ['style', ['bold', 'italic', 'underline', 'clear']],
            //  //['font', ['strikethrough', 'superscript', 'subscript']],
            //  ['fontsize', ['fontsize']],
            //  //['color', ['color']],
            //  //['para', ['ul', 'ol', 'paragraph']],
            //  //['height', ['height']]
            //]
        });

        var save = function () {
            var html = encodeURIComponent($("#summernote").summernote("code"));
            $("#hidHtml").val(html);
            $("#btnSave").click();
        };

    </script>
}

